'use strict';

const fileHelper = require('./../fileHepler');
const basePath = require('./../path');
const clog = require('./../clog');
const {
  logsLine
} = require('./../lib/utils');


function init(params){
  clog('开始复制文件', 'blueBG');
  logsLine(clog, 'start');
  let path = basePath.buildDistDirectory + '/static/css/app.css';
  let res = fileHelper.readFileSync(path);
  let reg = /(url)(.*?)(\.(woff|ttf))/g;
  let contentArr = res.match(reg);
  contentArr.map(item=>{
    if(item.indexOf('../../') !== -1) {
      let oldStr = item;
      let newStr = item.replace('../../', '/');
      res = res.replace(oldStr, newStr);
      clog(`原路径：${oldStr}`, 'green');
      clog(`新路径：${newStr}`, 'green');
    }
  });
  fileHelper.writeFileSync(path, res);
  clog('更新/static/css/app.css文件成功', 'green');
  clog(`${JSON.stringify(params, null,2)}`, 'cyan');
  logsLine(clog);
}

module.exports = init;







